#!/usr/bin/perl -w

use ipfcsign ();
$|=1;

IPFC::Sign::read_config("/home/tycho/conostix/development/ipfc/src/lib/sign-keys.xml-example");

$super_message = IPFC::Sign::sign_message("<ipfc><agent id=\"5\"/></ipfc>\n","testkey");

print "The signed message is : \n---\n$super_message---\n\n";

print IPFC::Sign::check_signature($super_message);
sleep 5;

print IPFC::Sign::check_signature("<ipfc><agent id=\"5\"/></ipfc>\n");

